Uploaded image for project: 'Indy Node'
  1. Indy Node
  2. INDY-1848

Downgrade (roll-back) should work properly in case one of the dependencies is changed

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Complete
    • Priority: Medium
    • Resolution: Deferred
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
    • Documentation Impact:
      Unset
    • Epic Link:

      Description

      If upgrade from version X to Y fails, it tries to roll-back everything by performing downgrade to version X.

      If there is a dependency (not indy one, but,for example, base58), so that X depends on version Z1, and Y depends on version Z2,  then downgrade fails since Z1 is not listed explicitly during downgrade (apt can't install old earlier version of a dependency if there is a newer one in the repo).

      Acceptance criteria

      • Downgrade and roll-back should be possible
      • If a dependency version changed, then it should properly take it into account and downgrade the dependency explicitly.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              ashcherbakov Alexander Shcherbakov
              Watchers:
              Alexander Shcherbakov, Richard Esplin
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: